cURL
curl --request POST \
--url https://api.myaifrontdeskdashboard.com/api/v1/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 123,
"name": "<string>",
"emailAddress": "<string>",
"businessName": "<string>",
"businessType": "<string>",
"greetingPhrase": "<string>",
"selectedLanguages": [
"<string>"
],
"languageGreetings": {},
"workflows": [
{
"description": "<string>",
"voiceResponse": "<string>",
"textMessage": "<string>"
}
],
"callWorkflows": [
{
"description": "<string>",
"voiceResponse": "<string>",
"workflowForwardingNumber": "<string>",
"country": {
"name": "<string>",
"code": "<string>"
}
}
],
"voiceSelected": {
"voiceId": "<string>",
"provider": "<string>"
},
"chattiness": 50,
"aiPrompt": "<string>",
"testingNumber": "<string>"
}
'import requests
url = "https://api.myaifrontdeskdashboard.com/api/v1/users"
payload = {
"id": 123,
"name": "<string>",
"emailAddress": "<string>",
"businessName": "<string>",
"businessType": "<string>",
"greetingPhrase": "<string>",
"selectedLanguages": ["<string>"],
"languageGreetings": {},
"workflows": [
{
"description": "<string>",
"voiceResponse": "<string>",
"textMessage": "<string>"
}
],
"callWorkflows": [
{
"description": "<string>",
"voiceResponse": "<string>",
"workflowForwardingNumber": "<string>",
"country": {
"name": "<string>",
"code": "<string>"
}
}
],
"voiceSelected": {
"voiceId": "<string>",
"provider": "<string>"
},
"chattiness": 50,
"aiPrompt": "<string>",
"testingNumber": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 123,
name: '<string>',
emailAddress: '<string>',
businessName: '<string>',
businessType: '<string>',
greetingPhrase: '<string>',
selectedLanguages: ['<string>'],
languageGreetings: {},
workflows: [{description: '<string>', voiceResponse: '<string>', textMessage: '<string>'}],
callWorkflows: [
{
description: '<string>',
voiceResponse: '<string>',
workflowForwardingNumber: '<string>',
country: {name: '<string>', code: '<string>'}
}
],
voiceSelected: {voiceId: '<string>', provider: '<string>'},
chattiness: 50,
aiPrompt: '<string>',
testingNumber: '<string>'
})
};
fetch('https://api.myaifrontdeskdashboard.com/api/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"emailAddress": "<string>",
"businessName": "<string>",
"businessType": "<string>"
}{
"error": 123,
"message": "<string>"
}Receptionsts
Create Receptionist
Creates a new Receptionist
POST
/
api
/
v1
/
users
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Receptionist's default configuration
Identification number of the receptionist
Name of the receptionist
Email address of the receptionist
Name of the business
Type of the business
Greeting phrase for the receptionist
Languages spoken by the receptionist
Greetings in different languages
Show child attributes
Show child attributes
List of workflows
Show child attributes
Show child attributes
List of call workflows
Show child attributes
Show child attributes
Voice selection details
Show child attributes
Show child attributes
Chattiness level of the receptionist
Required range:
0 <= x <= 100AI prompt for the receptionist
Testing number for the receptionist
⌘I

